const glob = require( 'glob' );
const path = require( 'path' );
const fs = require( 'fs-extra' );
const config = require( '../tribes/townconf.js' );

const Odmdb = {};

/*
Input: metaobject => data mapper of Key: Value

  objname + an object {} + action check => get a valid or not answer
  objname + an object {} + action search => apply matching algo to find probalistic object id
  objname + action index => update /searcindex of objects concern

*/

module.exports = Odmdb;